﻿@using Microsoft.AspNetCore.Http;
@using JeiWebAppGestao.Controllers
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - JeiWebAppGestao</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                @if (HomeController.estaAutenticado(Context))
                {
                   
                    <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">JeiWebAppGestao</a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                        <ul class="navbar-nav flex-grow-1">
                            @if (Context.Session.GetString("Perfil") == "SuperAdmin")
                            {
                              <li class="nav-item">
                                    <a class="nav-link text-dark" asp-area="" asp-controller="Admins" asp-action="Index">Gerir Administradores</a>
                                </li>
                            }
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Premios" asp-action="Index">Premios</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="RifaPs4" asp-action="Index">Rifas PS4</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="RifaTeles" asp-action="Index">Rifas Telemóvel</a>
                            </li>
                        </ul>
                    </div>
                   
                    <div class="col-lg-4 col-sm-4 menu-top-right">
                        <a asp-controller="Home" asp-action="Logout">
                            <span>
                                Logout
                            </span>
                        </a>
                    </div>

                }
                else
                {
                    <div class="col-lg-4 col-sm-4 menu-top-right">
                        <a asp-controller="Home" asp-action="Login">
                            <span>
                                Login
                            </span>
                        </a>
                    </div>
                }
            

            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - JeiWebAppGestao - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>
